Redmine - Defect #31511

CSV export of time entries report does not honor project filter
2019-06-04 09:53 - Xavier Calland

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 4.0.4

Resolution: Fixed Affected version: 4.0.2
Description

When exporting a report of time entries in a projet (from an URL like /project/foo/time_entries/report) the URL used (when the export
options dialog is closed) is not the project specific URL (i.e. /time_entries/report.csv and not /project/foo/time_entries/report.csv).

It seems the report.csv is generated source:/trunk/app/views/timelog/report.html.erb@18146#L91 with

<%= report_time_entries_path(:format => 'csv') %>

and the original form_tag source:/trunk/app/views/timelog/report.html.erb@18146#L91 uses

<%= form_tag(_report_time_entries_path (@project, nil), :method => :get, :id => 'query_form') do %>

Related issues:
Related to Redmine - Feature #26279: Allow switching the encoding to UTF-8 wh... Closed
Has duplicate Redmine - Defect #30809: Spent time report > CSV not obeying fi... Closed

Associated revisions

Revision 18227 - 2019-06-05 13:45 - Go MAEDA
CSV export of time entries report does not honor project filter (#31511).

Patch by Xavier Calland.

Revision 18228 - 2019-06-06 01:20 - Go MAEDA
Merged r18227 from trunk to 4.0-stable (#31511).

History

#1 - 2019-06-04 10:35 - Mizuki ISHIKAWA

Thank you for sharing the probrem.
| have confirmed that the following changes solve the problem.

diff --git a/app/views/timelog/report.html.erb b/app/views/timelog/report.html.erb
index ae64a89lel..24425a55d0 100644
—-—— a/app/views/timelog/report.html.erb
+++ b/app/views/timelog/report.html.erb
@@ -88,8 +88,8 @@
$ (document) .ready (function () {
$ ('input#csv-export-button') .click (function () {
$('form input#encoding') .val ($('select#encoding option:selected').val());

= S ('form#query_form') .attr ('action', '<%= report_time_entries_path (:format => 'csv') %>').submit ();

= S ('form#query_form') .attr ('action', '<%= report_time_entries_path %>');

+ S ('form#query_form') .attr ('action', '<%= _report_time_entries_path (@project, nil, :format => 'csv') $>').
submit () ;

+ $('form#query_form') .attr ('action', '<%= _report_time_entries_path (@project, nil) %>');

hideModal (this) ;
#2 - 2019-06-04 10:42 - Xavier Calland
- File issue_31511.diff added

Here is a patch for this issue (its tracker may be changed).
https://www.redmine.org/projects/redmine/repository/svn/revisions/18146/entry/trunk/app/views/timelog/report.html.erb#L91
https://www.redmine.org/projects/redmine/repository/svn/revisions/18146/entry/trunk/app/views/timelog/report.html.erb#L91

Tests done :
e Export from "/time_entries/report"
— uses "/time_entries/report.csv"

e Export from "/project/foo/time_entries/report”
— uses "/project/foo/time_entries/report.csv"

#3 - 2019-06-04 15:06 - Go MAEDA

- Target version set to 4.0.4

Setting the target version to 4.0.4.

#4 - 2019-06-05 11:17 - Go MAEDA

- Related to Feature #26279: Allow switching the encoding to UTF-8 when exporting to CSV added

#5 - 2019-06-05 13:40 - Go MAEDA

- Subject changed from CSV export of time entries does not honor project filter to CSV export of time entries report does not honor project filter

- Status changed from New to Confirmed

#6 - 2019-06-05 13:45 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for reporting and fixing this issue.

#7 - 2019-06-06 01:21 - Go MAEDA

- Status changed from Resolved to Closed

#8 - 2019-07-12 09:17 - Go MAEDA
- Has duplicate Defect #30809: Spent time report > CSV not obeying filters added

Files
issue_31511.diff 1.27 KB 2019-06-04 Xavier Calland
